globjects::TextureHandle Class Reference

`#include <globjects/include/globjects/TextureHandle.h>`

## Public Member Functions

| TextureHandle ()
| TextureHandle (gl::GLuint64 handle)
| TextureHandle (const Texture *texture)
| TextureHandle (const Texture *texture, const Sampler *sampler)
void | makeResident ()
void | makeNonResident ()
bool | isResident () const
gl::GLuint64 | handle () const
| operator gl::GLuint64 () const
glm::uvec2 | asUVec2 () const
| operator glm::uvec2 () const

## Constructor & Destructor Documentation

## TextureHandle() [1/4]

globjects::TextureHandle::TextureHandle | ( |  | ) |

## TextureHandle() [2/4]

globjects::TextureHandle::TextureHandle | ( | gl::GLuint64 | handle | ) |

## TextureHandle() [3/4]

globjects::TextureHandle::TextureHandle | ( | const Texture * | texture | ) |

explicit

## TextureHandle() [4/4]

globjects::TextureHandle::TextureHandle | ( | const Texture * | texture,
|  | const Sampler * | sampler
| ) |  |

## Member Function Documentation

## makeResident()

void globjects::TextureHandle::makeResident | ( |  | ) |

## makeNonResident()

void globjects::TextureHandle::makeNonResident | ( |  | ) |

## isResident()

bool globjects::TextureHandle::isResident | ( |  | ) | const

## handle()

gl::GLuint64 globjects::TextureHandle::handle | ( |  | ) | const

## operator gl::GLuint64()

globjects::TextureHandle::operator gl::GLuint64 | ( |  | ) | const

## asUVec2()

glm::uvec2 globjects::TextureHandle::asUVec2 | ( |  | ) | const

## operator glm::uvec2()

globjects::TextureHandle::operator glm::uvec2 | ( |  | ) | const

The documentation for this class was generated from the following file:

- TextureHandle.h